org.eclnt.jsfserver.elements.componentnodes

## Class PDFRENDERERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PDFRENDERERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class PDFRENDERERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFRENDERERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFRENDERERNode` | `bindActionListener(IActionListenerDelegation value)`
    `PDFRENDERERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindBigicons(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindClientprintername(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindClientprintertrayname(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindComment(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindDefaultzoomlevel(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindFilename(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindNumberofcopies(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPadding(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPaperheight(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPapermargin(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPaperwidth(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPdf(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindPdflibrary(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindRounding(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindWithprintdialog(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindWithserverprintnotification(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindX(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `bindY(IDynamicContentBindingObject value)`
    `PDFRENDERERNode` | `setActionListener(java.lang.String value)`
    `PDFRENDERERNode` | `setAdapterbinding(java.lang.String value)`
    `PDFRENDERERNode` | `setAnimatechangeofsize(boolean value)`
    `PDFRENDERERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `PDFRENDERERNode` | `setAttributemacro(java.lang.String value)`
    `PDFRENDERERNode` | `setBackground(java.lang.String value)`
    `PDFRENDERERNode` | `setBgpaint(java.lang.String value)`
    `PDFRENDERERNode` | `setBigicons(boolean value)`
    `PDFRENDERERNode` | `setBigicons(java.lang.String value)`
    `PDFRENDERERNode` | `setBorder(java.lang.String value)`
    `PDFRENDERERNode` | `setClientprintername(java.lang.String value)`
    `PDFRENDERERNode` | `setClientprintertrayname(java.lang.String value)`
    `PDFRENDERERNode` | `setColspan(int value)`
    `PDFRENDERERNode` | `setColspan(java.lang.String value)`
    `PDFRENDERERNode` | `setComment(java.lang.String value)`
    `PDFRENDERERNode` | `setConfiginfo(java.lang.String value)`
    `PDFRENDERERNode` | `setDefaultzoomlevel(java.lang.String value)`
    `PDFRENDERERNode` | `setEnabled(boolean value)`
    `PDFRENDERERNode` | `setEnabled(java.lang.String value)`
    `PDFRENDERERNode` | `setFilename(java.lang.String value)`
    `PDFRENDERERNode` | `setFxstyleseq(java.lang.String value)`
    `PDFRENDERERNode` | `setHeight(int value)`
    `PDFRENDERERNode` | `setHeight(java.lang.String value)`
    `PDFRENDERERNode` | `setId(java.lang.String value)`
    `PDFRENDERERNode` | `setNumberofcopies(int value)`
    `PDFRENDERERNode` | `setNumberofcopies(java.lang.String value)`
    `PDFRENDERERNode` | `setPadding(java.lang.String value)`
    `PDFRENDERERNode` | `setPaperheight(java.lang.String value)`
    `PDFRENDERERNode` | `setPapermargin(java.lang.String value)`
    `PDFRENDERERNode` | `setPaperwidth(java.lang.String value)`
    `PDFRENDERERNode` | `setPdf(java.lang.String value)`
    `PDFRENDERERNode` | `setPdflibrary(java.lang.String value)`
    `PDFRENDERERNode` | `setReference(java.lang.String value)`
    `PDFRENDERERNode` | `setRendered(boolean value)`
    `PDFRENDERERNode` | `setRendered(java.lang.String value)`
    `PDFRENDERERNode` | `setRounding(int value)`
    `PDFRENDERERNode` | `setRounding(java.lang.String value)`
    `PDFRENDERERNode` | `setShadow(java.lang.String value)`
    `PDFRENDERERNode` | `setStyleseq(java.lang.String value)`
    `PDFRENDERERNode` | `setStylevariant(java.lang.String value)`
    `PDFRENDERERNode` | `setTriggerprint(java.lang.String value)`
    `PDFRENDERERNode` | `setWidth(int value)`
    `PDFRENDERERNode` | `setWidth(java.lang.String value)`
    `PDFRENDERERNode` | `setWithprintdialog(boolean value)`
    `PDFRENDERERNode` | `setWithprintdialog(java.lang.String value)`
    `PDFRENDERERNode` | `setWithserverprintnotification(boolean value)`
    `PDFRENDERERNode` | `setWithserverprintnotification(java.lang.String value)`
    `PDFRENDERERNode` | `setX(int value)`
    `PDFRENDERERNode` | `setX(java.lang.String value)`
    `PDFRENDERERNode` | `setY(int value)`
    `PDFRENDERERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFRENDERERNode

          public PDFRENDERERNode()

  - ### Method Detail

    - #### setId

          public PDFRENDERERNode setId(java.lang.String value)

    - #### setActionListener

          public PDFRENDERERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PDFRENDERERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public PDFRENDERERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public PDFRENDERERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PDFRENDERERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public PDFRENDERERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PDFRENDERERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public PDFRENDERERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public PDFRENDERERNode setBackground(java.lang.String value)

    - #### bindBackground

          public PDFRENDERERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public PDFRENDERERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public PDFRENDERERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBigicons

          public PDFRENDERERNode setBigicons(java.lang.String value)

    - #### bindBigicons

          public PDFRENDERERNode bindBigicons(IDynamicContentBindingObject value)

    - #### setBigicons

          public PDFRENDERERNode setBigicons(boolean value)

    - #### setBorder

          public PDFRENDERERNode setBorder(java.lang.String value)

    - #### bindBorder

          public PDFRENDERERNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientprintername

          public PDFRENDERERNode setClientprintername(java.lang.String value)

    - #### bindClientprintername

          public PDFRENDERERNode bindClientprintername(IDynamicContentBindingObject value)

    - #### setClientprintertrayname

          public PDFRENDERERNode setClientprintertrayname(java.lang.String value)

    - #### bindClientprintertrayname

          public PDFRENDERERNode bindClientprintertrayname(IDynamicContentBindingObject value)

    - #### setColspan

          public PDFRENDERERNode setColspan(java.lang.String value)

    - #### bindColspan

          public PDFRENDERERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public PDFRENDERERNode setColspan(int value)

    - #### setComment

          public PDFRENDERERNode setComment(java.lang.String value)

    - #### bindComment

          public PDFRENDERERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PDFRENDERERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PDFRENDERERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDefaultzoomlevel

          public PDFRENDERERNode setDefaultzoomlevel(java.lang.String value)

    - #### bindDefaultzoomlevel

          public PDFRENDERERNode bindDefaultzoomlevel(IDynamicContentBindingObject value)

    - #### setEnabled

          public PDFRENDERERNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public PDFRENDERERNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public PDFRENDERERNode setEnabled(boolean value)

    - #### setFilename

          public PDFRENDERERNode setFilename(java.lang.String value)

    - #### bindFilename

          public PDFRENDERERNode bindFilename(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public PDFRENDERERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public PDFRENDERERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public PDFRENDERERNode setHeight(java.lang.String value)

    - #### bindHeight

          public PDFRENDERERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public PDFRENDERERNode setHeight(int value)

    - #### setNumberofcopies

          public PDFRENDERERNode setNumberofcopies(java.lang.String value)

    - #### bindNumberofcopies

          public PDFRENDERERNode bindNumberofcopies(IDynamicContentBindingObject value)

    - #### setNumberofcopies

          public PDFRENDERERNode setNumberofcopies(int value)

    - #### setPadding

          public PDFRENDERERNode setPadding(java.lang.String value)

    - #### bindPadding

          public PDFRENDERERNode bindPadding(IDynamicContentBindingObject value)

    - #### setPaperheight

          public PDFRENDERERNode setPaperheight(java.lang.String value)

    - #### bindPaperheight

          public PDFRENDERERNode bindPaperheight(IDynamicContentBindingObject value)

    - #### setPapermargin

          public PDFRENDERERNode setPapermargin(java.lang.String value)

    - #### bindPapermargin

          public PDFRENDERERNode bindPapermargin(IDynamicContentBindingObject value)

    - #### setPaperwidth

          public PDFRENDERERNode setPaperwidth(java.lang.String value)

    - #### bindPaperwidth

          public PDFRENDERERNode bindPaperwidth(IDynamicContentBindingObject value)

    - #### setPdf

          public PDFRENDERERNode setPdf(java.lang.String value)

    - #### bindPdf

          public PDFRENDERERNode bindPdf(IDynamicContentBindingObject value)

    - #### setPdflibrary

          public PDFRENDERERNode setPdflibrary(java.lang.String value)

    - #### bindPdflibrary

          public PDFRENDERERNode bindPdflibrary(IDynamicContentBindingObject value)

    - #### setReference

          public PDFRENDERERNode setReference(java.lang.String value)

    - #### setRendered

          public PDFRENDERERNode setRendered(java.lang.String value)

    - #### bindRendered

          public PDFRENDERERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PDFRENDERERNode setRendered(boolean value)

    - #### setRounding

          public PDFRENDERERNode setRounding(java.lang.String value)

    - #### bindRounding

          public PDFRENDERERNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public PDFRENDERERNode setRounding(int value)

    - #### setShadow

          public PDFRENDERERNode setShadow(java.lang.String value)

    - #### bindShadow

          public PDFRENDERERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public PDFRENDERERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public PDFRENDERERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public PDFRENDERERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PDFRENDERERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public PDFRENDERERNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public PDFRENDERERNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setWidth

          public PDFRENDERERNode setWidth(java.lang.String value)

    - #### bindWidth

          public PDFRENDERERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public PDFRENDERERNode setWidth(int value)

    - #### setWithprintdialog

          public PDFRENDERERNode setWithprintdialog(java.lang.String value)

    - #### bindWithprintdialog

          public PDFRENDERERNode bindWithprintdialog(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public PDFRENDERERNode setWithprintdialog(boolean value)

    - #### setWithserverprintnotification

          public PDFRENDERERNode setWithserverprintnotification(java.lang.String value)

    - #### bindWithserverprintnotification

          public PDFRENDERERNode bindWithserverprintnotification(IDynamicContentBindingObject value)

    - #### setWithserverprintnotification

          public PDFRENDERERNode setWithserverprintnotification(boolean value)

    - #### setX

          public PDFRENDERERNode setX(java.lang.String value)

    - #### bindX

          public PDFRENDERERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public PDFRENDERERNode setX(int value)

    - #### setY

          public PDFRENDERERNode setY(java.lang.String value)

    - #### bindY

          public PDFRENDERERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public PDFRENDERERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.